## kidentitymanagement 25.08.2+p24.04+vstable+git20251015.1641

=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vstable+git20251015.1641-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:41:41 +0000

kidentitymanagement (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:01:28 +0000
