## kidentitymanagement 25.08.2+p24.04+vstable+git20251019.0620

=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vstable+git20251019.0620-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:20:45 +0000
