## kidentitymanagement 25.08.2+p24.04+vunstable+git20251023.0134

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
