=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vunstable+git20251023.0134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:34:23 +0000
