## kidentitymanagement 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.5.3")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.14.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -58,8 +57,8 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.5.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.3")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 ########### Find packages ###########
 
@@ -105,7 +104,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
 
 ########### Targets ###########
 add_subdirectory(src)
