## kidentitymanagement 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -57,8 +58,8 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 ########### Find packages ###########
