=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.08.3~),
+               libkpimtextedit-dev (>= 25.11.80~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
@@ -47,7 +47,7 @@
          libkpim6identitymanagementcore6 (= ${binary:Version}),
          libkpim6identitymanagementquick6 (= ${binary:Version}),
          libkpim6identitymanagementwidgets6 (= ${binary:Version}),
-         libkpimtextedit-dev (>= 25.08.3~),
+         libkpimtextedit-dev (>= 25.11.80~),
          qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
          ${misc:Depends},
 Description: library for managing user identities - development files
