## kidentitymanagement 25.12.0+p24.04+vstable+git20251222.0517

=== debian/changelog ===
kidentitymanagement (25.12.0+p24.04+vstable+git20251222.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:17:47 +0000

kidentitymanagement (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:22 +1000
