## kidentitymanagement 25.12.1+p24.04+vunstable+git20260205.0706

=== debian/changelog ===
kidentitymanagement (25.12.1+p24.04+vunstable+git20260205.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:06:42 +0000
