## kidentitymanagement 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
@@ -58,7 +58,7 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.6.1")
+set(PIMTEXTEDIT_LIB_VERSION "6.6.2")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 ########### Find packages ###########
